function Parallel_PI(n, run_id)
%PARALLEL_PI_V01_NAIVE

    %25 digit pi
    fPi25DT = 3.141592653589793238462643;
    
    % do the following on every worker
	% TODO
	
        % start timer
        tic

        % calculate Pi locally
        fSum = 0;
        fH = 1 / n;
        for i = labindex-1: numlabs: n-1
            fX = fH * (i + 0.5);
            fX = 4 / (1 + fX^2);
            fSum = fSum + fX;
        end
        localPi = (fSum / n);

        % Gather all results on worker with labindex 1 in localPi
        if (labindex ~= 1) 
            % all other workers send their data to labindex 1
			% TODO
        else
            % worker with labindex 1 collects data and adds them to his
            % localPi
            for i=2: numlabs
                localPi = localPi + % TODO;
            end
        end
    
        % end timer
        time = toc;
  
        if (labindex == 1)
            myPi = localPi;
            % save results in output file
            fileid = fopen (['\\cifs\cluster\Home\ct747764\WinDocuments\MATLAB\PI_Experiments\par_pi_v01_naive_' num2str(numlabs) '_exp' num2str(run_id) '.txt'], 'w');
            fprintf(fileid, '\npi is approximately = %.20f \nError               = %.20f\n', myPi, abs(myPi - fPi25DT));
            fprintf(fileid, 'wall clock time     = %.20f\n', time);
            fclose(fileid);
        end
        
        % back to sequential
    end

end
