@echo off

REM ... it would not be the first time that I forget to specify the resource type ...
if "%1" == "" goto error

REM ... it would not be the first time that I forget to specify the resource number ...
if "%2" == "" goto error

if "%1" == "nodes" goto nodes
if "%1" == "sockets" goto sockets
if "%1" == "cores" goto cores
goto error

:nodes
job submit /jobname:"Batch Demo: Nodes" /name:"task 1" /numnodes:%2 /workdir:\\cifs\cluster\documents\ct747764\demo /stdout:output_sockets.txt /stderr:error_%%CCP_JOBID%%.txt mpiexec \\cifs\cluster\documents\ct747764\demo\mpi_HelloWorld_vs2005.exe
goto end

:sockets
job submit /jobname:"Batch Demo: Sockets" /name:"task 1" /numsockets:%2 /workdir:\\cifs\cluster\documents\ct747764\demo /stdout:output_sockets.txt /stderr:error_%%CCP_JOBID%%.txt mpiexec \\cifs\cluster\documents\ct747764\demo\mpi_HelloWorld_vs2005.exe
goto end

:cores
job submit /jobname:"Batch Demo: Cores" /name:"task 1" /numcores:%2 /workdir:\\cifs\cluster\documents\ct747764\demo /stdout:output_cores.txt /stderr:error_%%CCP_JOBID%%.txt mpiexec \\cifs\cluster\documents\ct747764\demo\mpi_HelloWorld_vs2005.exe
goto end

:error
echo Christian, your forgot to specify the resource type and /or number or made any other mistake :-)
goto end

:end
